const names = {
  "ach": "אקולי",
  "aeb": "Tunisian Arabic",
  "agq": "אהיים",
  "akz": "Alabama",
  "aln": "Gheg Albanian",
  "aro": "Araona",
  "arp": "ארפהו",
  "arq": "Algerian Arabic",
  "ary": "Moroccan Arabic",
  "arz": "Egyptian Arabic",
  "ase": "American Sign Language",
  "av": "אבארית",
  "avk": "Kotava",
  "ban": "בלינזית",
  "bax": "באקס",
  "bbc": "Batak Toba",
  "bbj": "גומל",
  "bew": "Betawi",
  "bfq": "Badaga",
  "bjn": "Banjar",
  "bqi": "Bakhtiari",
  "brh": "Brahui",
  "bs_Cyrl": "בוסנית (קירילי)",
  "ceb": "קבואנו",
  "cps": "Capiznon",
  "csb": "קשוביאן",
  "cy": "ולשית",
  "de_AT": "גרמנית (אוסטריה)",
  "de_CH": "גרמנית (שווייץ)",
  "dsb": "סורבית נמוכה",
  "dtp": "Central Dusun",
  "dyo": "הולה-פוניי",
  "egl": "Emilian",
  "en_AU": "אנגלית (אוסטרליה)",
  "en_CA": "אנגלית (קנדה)",
  "en_GB": "אנגלית (הממלכה המאוחדת)",
  "en_US": "אנגלית (ארצות הברית)",
  "es_ES": "ספרדית (ספרד)",
  "esu": "Central Yupik",
  "ext": "Extremaduran",
  "fa_AF": "פרסית (אפגניסטן)",
  "fit": "Tornedalen Finnish",
  "fr_CA": "צרפתית (קנדה)",
  "fr_CH": "צרפתית (שווייץ)",
  "frc": "Cajun French",
  "frp": "Arpitan",
  "frs": "פריזיאן מזרחית",
  "fy": "פריזית",
  "gan": "Gan Chinese",
  "gbz": "Zoroastrian Dari",
  "gil": "גילברטזית",
  "glk": "Gilaki",
  "gom": "Goan Konkani",
  "gsw": "גרמנית שוויצרית",
  "gu": "גוג׳ראטית",
  "guc": "Wayuu",
  "gur": "Frafra",
  "gwi": "גוויצ׳ין",
  "hak": "Hakka Chinese",
  "hif": "Fiji Hindi",
  "hit": "חיתית",
  "hmn": "מונג",
  "ho": "הארי מוטו",
  "hsb": "סורבית גבוהה",
  "hsn": "Xiang Chinese",
  "ht": "האיטית",
  "ii": "סיצ׳ואן יי",
  "izh": "Ingrian",
  "jam": "Jamaican Creole English",
  "jbo": "לויבאן",
  "jgo": "נגומה",
  "jmc": "מצ׳אמה",
  "jut": "Jutish",
  "jv": "יאוונית",
  "kaj": "ג׳יו",
  "ken": "Kenyang",
  "kgp": "Kaingang",
  "kha": "קאסי",
  "khw": "Khowar",
  "kiu": "Kirmanjki",
  "kl": "קאלאליסוטית",
  "kln": "קאלנג׳ין",
  "km": "קמרית",
  "kri": "Krio",
  "krj": "Kinaray-a",
  "kum": "קומיק",
  "lfn": "Lingua Franca Nova",
  "li": "לימבורגיש",
  "lij": "Ligurian",
  "liv": "Livonian",
  "lmo": "Lombard",
  "lo": "לאית",
  "loz": "לוזי",
  "ltg": "Latgalian",
  "lua": "לובה, לולואה",
  "lui": "לואיסנו",
  "lus": "לושאי",
  "lzh": "Literary Chinese",
  "lzz": "Laz",
  "mad": "מדורסה",
  "maf": "מאפא",
  "mas": "מאסאית",
  "mfe": "מוריסיין",
  "mgh": "מקואה-מיטו",
  "mh": "מרשאלס",
  "ml": "מלאיאלם",
  "mr": "מרטהי",
  "mrj": "Western Mari",
  "mwv": "Mentawai",
  "mzn": "Mazanderani",
  "nan": "Min Nan Chinese",
  "nb": "‏נורבגית ספרותית",
  "nd": "צפון נדבלה",
  "niu": "ניואיאן",
  "njo": "Ao Naga",
  "nl_BE": "הולנדית (בלגיה)",
  "nn": "נורבגית חדשה",
  "no": "נורבגית",
  "nov": "Novial",
  "nr": "דרום נדבלה",
  "nso": "סוטו הצפונית",
  "nv": "נבחו",
  "or": "אוריה",
  "osa": "אוסג׳ה",
  "ota": "טורקית עותומנית",
  "pa": "פנג׳אבית",
  "pcd": "Picard",
  "pdc": "Pennsylvania German",
  "pdt": "Plautdietsch",
  "pfl": "Palatine German",
  "phn": "פניקית",
  "pms": "Piedmontese",
  "pnt": "Pontic",
  "prg": "Prussian",
  "pt": "פורטוגלית",
  "pt_BR": "פורטוגלית (ברזיל)",
  "pt_PT": "פורטוגלית (פורטוגל)",
  "qug": "Chimborazo Highland Quichua",
  "raj": "ראג׳סטן",
  "rgn": "Romagnol",
  "rif": "Riffian",
  "ro_MD": "רומנית (מולדובה)",
  "rom": "רומאנית",
  "rtm": "Rotuman",
  "rue": "Rusyn",
  "rug": "Roviana",
  "rw": "קינירואנדה",
  "rwk": "רווא",
  "sas": "ססאק",
  "sat": "סאנטלי",
  "saz": "Saurashtra",
  "sdc": "Sassarese Sardinian",
  "se": "לאפית צפונית",
  "sei": "Seri",
  "sgs": "Samogitian",
  "shi": "טצ׳להיט",
  "sid": "סידמו",
  "sli": "Lower Silesian",
  "sly": "Selayar",
  "ss": "סיסוואטי",
  "st": "ססות׳ו",
  "stq": "Saterland Frisian",
  "su": "סונדנית",
  "sw": "סווהילית",
  "swb": "Comorian",
  "szl": "Silesian",
  "tcy": "Tulu",
  "ti": "טיגרינאית",
  "tkr": "Tsakhur",
  "tl": "טגלוג",
  "tlh": "קלינגון",
  "tly": "Talysh",
  "tn": "טוניסיה",
  "to": "טונגן",
  "tru": "Turoyo",
  "tsd": "Tsakonian",
  "ttt": "Muslim Tat",
  "tzm": "טמזייט של מרכז מרוקו",
  "ug": "אויגהור",
  "vai": "ואי",
  "vec": "Venetian",
  "vi": "ויאטנמית",
  "vls": "West Flemish",
  "vmf": "Main-Franconian",
  "vro": "Võro",
  "wa": "וואלון",
  "wal": "וולאמו",
  "wbp": "Warlpiri",
  "wo": "ג׳ולוף",
  "wuu": "Wu Chinese",
  "xal": "קלמיק",
  "xh": "קסוסה",
  "xmf": "Mingrelian",
  "yrl": "Nheengatu",
  "za": "ז׳ואנג",
  "zea": "Zeelandic",
  "zh_Hans": "סינית (מפושט)",
  "zh_Hant": "סינית (מסורתי)"
};
