const names = {
  "aeb": "Tunisian Arabic",
  "ang": "ప్రాచీన ఆగ్లం",
  "arc": "అరామేక్",
  "arn": "అరౌకేనియన్",
  "arz": "Egyptian Arabic",
  "as": "అస్సామీ",
  "ast": "అస్టురియాన్",
  "ba": "బష్కిర్",
  "be": "బెలరుశియన్",
  "bez": "బీనా",
  "bho": "భోజ్ పూరి",
  "bla": "సిక్ సికా",
  "bn": "బెంగాలీ",
  "bpy": "Bishnupriya",
  "bug": "బ్యుగినిస్",
  "ca": "కెటలాన్",
  "ceb": "సేబుఆనో",
  "chk": "చూకిస్",
  "cho": "చొచ్కతావ్",
  "ckb": "సొరాని కుర్దిష్",
  "cu": "చర్చ స్లావిక్",
  "da": "డేనిష్",
  "de_AT": "జర్మన్ (ఆస్ట్రియా)",
  "de_CH": "జర్మన్ (స్విట్జర్లాండ్)",
  "dsb": "లోవర్ సోర్బియన్",
  "dua": "దుఆలా",
  "dz": "జొన్ఖా",
  "dzg": "Dazaga",
  "ee": "ఈవీ",
  "egy": "ప్రాచీన ఇజిప్షియన్",
  "en_AU": "ఆంగ్లం (ఆస్ట్రేలియా)",
  "en_CA": "ఆంగ్లం (కెనడా)",
  "en_GB": "ఆంగ్లం (యునైటెడ్ కింగ్‌డమ్)",
  "en_US": "ఆంగ్లం (అమెరికా సంయుక్త రాష్ట్రాలు)",
  "eo": "ఎస్పరెన్టొ",
  "es_419": "లాటిన్ అమెరికెన్ స్పానిష్",
  "es_ES": "స్పానిష్ (స్పెయిన్)",
  "es_MX": "స్పానిష్ (మెక్సికో)",
  "et": "ఈస్టొనియన్",
  "eu": "బాస్క్",
  "fa_AF": "పర్షియన్ (ఆఫ్ఘనిస్తాన్)",
  "fo": "ఫారోయీజ్",
  "fr_CA": "ఫ్రెంచ్ (కెనడా)",
  "fr_CH": "ఫ్రెంచ్ (స్విట్జర్లాండ్)",
  "frc": "Cajun French",
  "fro": "ప్రాచీన ప్రెంచ్",
  "gan": "Gan Chinese",
  "gl": "గెలిషియన్",
  "gn": "గురాని",
  "gv": "మంకస్",
  "hak": "Hakka Chinese",
  "he": "హీబ్రు",
  "hil": "హిలి గేయినోన్",
  "hr": "క్రొయెషియన్",
  "hsn": "Xiang Chinese",
  "ht": "హైతియన్",
  "hu": "హన్గేరియన్",
  "hz": "హిరేరో",
  "ibb": "Ibibio",
  "ie": "ఇంటర్ లింగ్",
  "ik": "ఇనూపైఏక్",
  "ilo": "ఐయోకో",
  "io": "ఈడౌ",
  "ja": "జాపనీస్",
  "kho": "ఖటోనీస్",
  "kkj": "Kako",
  "ksh": "Colognian",
  "ku": "కర్డిష్",
  "lb": "లుక్సంబర్గిష్",
  "lt": "లిథుయేనియన్",
  "lui": "లుఇసేనో",
  "lus": "లుషై",
  "mas": "మాసాయి",
  "mdf": "మొక్షా",
  "mg": "మాలాగసి",
  "mi": "మయోరి",
  "min": "మినాంగ్కాబో",
  "mk": "మసడోనియన్",
  "mni": "మణిపూరి",
  "moh": "మోహుక్",
  "ms": "మలేయ్",
  "mua": "ముదాంగ్",
  "mzn": "Mazanderani",
  "nan": "Min Nan Chinese",
  "nb": "నార్వీజియన్ బొక్మాల్",
  "ng": "దోంగా",
  "niu": "నియూఇయాన్",
  "nl_BE": "డచ్ (బెల్జియం)",
  "nn": "నార్విజియాన్ న్యోర్స్క్",
  "nnh": "Ngiemboon",
  "no": "నార్విజియాన్",
  "nv": "నవాహో",
  "nwc": "సాంప్రదాయ న్యుఆరి",
  "nyo": "నిఓరో",
  "or": "ఒరియా",
  "pag": "పంగా సినాన్",
  "pam": "పంపగ్న",
  "pau": "పాలుఆన్",
  "prg": "Prussian",
  "pt_BR": "పోర్చుగీస్ (బ్రెజిల్)",
  "pt_PT": "పోర్చుగీస్ (పోర్చుగల్)",
  "qu": "కెషుయా",
  "raj": "రాజస్తాని",
  "rn": "రండి",
  "ro": "రోమానియన్",
  "ro_MD": "రోమానియన్ (మోల్డోవా)",
  "sah": "యాకుట్",
  "sam": "సమారిటన్ అరమేక్",
  "sat": "సంటాలి",
  "sba": "Ngambay",
  "sk": "స్లోవాక్",
  "sl": "స్లోవేనియాన్",
  "srn": "స్రానన్ టోనగో",
  "ssy": "Saho",
  "su": "సుడానీస్",
  "tcy": "Tulu",
  "tem": "టింనే",
  "ti": "తిగ్రిన్యా",
  "tk": "తుర్కమెన్",
  "tl": "తగలోగ్",
  "tli": "లింగిట్",
  "tn": "సెటస్వానా",
  "trv": "Taroko",
  "uk": "ఉక్రేనియన్",
  "wae": "Walser",
  "wal": "వాలామో",
  "wbp": "Warlpiri",
  "wo": "వొలాఫ్",
  "wuu": "Wu Chinese",
  "yao": "యాఒ",
  "yav": "Yangben",
  "ybb": "Yemba",
  "zgh": "ప్రామాణిక మొరొకన్ తమజియట్",
  "zh_Hans": "చైనీస్ (సరళీకృతం)",
  "zh_Hant": "చైనీస్ (సాంప్రదాయక)"
};
